#!/usr/bin/perl
#
# Carga los mime-types en un hash
#

my $mime = "mime-types";

if ($ARGV[0]) {
	$mime = $ARGV[0];
}

%r = load_mime_types ($mime);

#foreach $key (keys %r) {
#	print $key, " = ", $r{$key}, "\n";
#}

sub load_mime_types {
	my %result;

	open (MIME, @_[0]) || die "can't open $mime: $!";

	while (<MIME>) {
		chomp;
		split /:/;

		$result{$_[0]} = $_[1];
	}

	close (MIME);

	return %result;
}
